Subject: Re: .a to .lib converting
From: Larry Hall <[email-masked]>
To: [email-masked], [email-masked]
Cc: Alireza Ghasemi <[email-masked]>
Date: Thu, 26 May 2005 15:19:25 -0400

At 12:47 AM 5/26/2005, you wrote:
>On Wed, 25 May 2005, Larry Hall wrote:
>
>> At 09:21 AM 5/25/2005, you wrote:
>> >On Wed, 25 May 2005, Alireza Ghasemi wrote:
>> >
>> >> Hello,
>> >> I want to use some cygwin .a libraries with other environments(like
>> >> VC++) as static .lib files.is this possible?
>> >
>> >Yes.
>>
>> Or no. ;-)
>
>Eh?  Your response below points to a "yes", AFAICS...

I guess it depends on your level of expertise.  VC++ .lib libraries can be 
used directly, without any fuss (standard exclusion for C++ linkage and 
some inevitable oddities of course).  The reverse requires lots of 
fiddling/hacks though and is not part of Cygwin proper.  That's why I said 
no.  Also, while the FAQ entry you pointed to gives a few alternatives for 
linking against .lib libraries from gcc/g++, it says nothing about the 
reverse.  So my response was meant as a clarification and to point out the 
difference in ease of going one way versus the other.  I just didn't think 
that was clear from your post (or maybe it was but wasn't clear to me ;-) ). 
In any case, it sounds like you and I are in violent agreement on this 
subject so I think our work is done. ;-)

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/